Update invoices by documents

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Informações

Sending invoices through documents allows sending the url of the XML file to Plugg.to, this way we will download the file and generate a link that is always available.

It is important that the url is valid and published so that the documents is created successfully.

Example Request

{
    "status": "invoiced",
    "shipments": [
        {
            "documents": [
                {
                    "url": "https://pluggto-xmlnf.example/129_4644258996.xml",
                    "type": "invoice"
                }
            ],
            "nfe_date": "2024-07-15T18:07:07.000Z",
            "nfe_key": "31210617888732102479550010005269381003054430",
            "nfe_number": "5269322",
            "nfe_serie": "1"
        }
    ]
}

Attention

The order may have the delivery "id" already registered, in these cases you must send the id returned in shipments.

Example Request

{
    "status": "invoiced",
    "shipments": [
        {
            "documents": [
                {
                    "url": "https://pluggto-xmlnf.example/129_4644258996.xml",
                    "type": "invoice"
                }
            ],
          	"id":"606b87e9e7cb7f1d4d5f8d32",
            "nfe_date": "2024-07-15T18:07:07.000Z",
            "nfe_key": "31210617888732102479550010005269381003054430",
            "nfe_number": "5269322",
            "nfe_serie": "1"
        }
    ]
}
Path Params
string
required
Defaults to Order id

Order id

Headers
string
Defaults to Bearer {ACCESS_TOKEN}

Bearer Token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json